Skip to content
Get started

Update

PUT/teams/{teamId}/ip-filters/{filterId}

Enable, disable, or override a built-in or custom IP-detection filter for a team

Path ParametersExpand Collapse
teamId: string
filterId: string
Body ParametersJSONExpand Collapse
enabled: optional boolean

Whether the filter is active

instruction: optional string

Natural-language detection instruction

maxLength2000
minLength1
name: optional string

Display name for the filter

ReturnsExpand Collapse
filter: unknown

The updated filter, including its enabled state

Update

curl https://api.cloud.scenario.com/v1/teams/$TEAM_ID/ip-filters/$FILTER_ID \
    -X PUT \
    -H 'Content-Type: application/json' \
    -u "$SCENARIO_SDK_API_KEY:SCENARIO_SDK_API_SECRET" \
    -d '{}'
{
  "filter": {}
}
Returns Examples
{
  "filter": {}
}